Loading...
Searching...
No Matches
juce::LADSPAPluginFormat Class Reference

## Detailed Description

Provided for backwards compatibility; LADSPA plugins are always headless.

The documentation for this class was generated from the following file:

- juce_audio_processors/format_types/juce_LADSPAPluginFormat.h

Inheritance diagram for juce::LADSPAPluginFormat:

## Additional Inherited Members

Public Types inherited from juce::AudioPluginFormat
using | PluginCreationCallback = std::function<void (std::unique_ptr<AudioPluginInstance>, const String&)>
| A callback lambda that is passed to createPluginInstanceAsync().
using | ARAFactoryCreationCallback = std::function<void (ARAFactoryResult)>
| A callback lambda that is passed to getARAFactory().
Public Member Functions inherited from juce::LADSPAPluginFormatHeadless
| LADSPAPluginFormatHeadless ()=default
String | getName () const override
| Returns the format name.
bool | canScanForPlugins () const override
| Returns true if this format needs to run a scan to find its list of plugins.
bool | isTrivialToScan () const override
| Should return true if this format is both safe and quick to scan - i.e.
void | findAllTypesForFile (OwnedArray< PluginDescription > &, const String &fileOrIdentifier) override
| This tries to create descriptions for all the plugin types available in a binary module file.
bool | fileMightContainThisPluginType (const String &fileOrIdentifier) override
| Should do a quick check to see if this file or directory might be a plugin of this format.
String | getNameOfPluginFromIdentifier (const String &fileOrIdentifier) override
| Returns a readable version of the name of the plugin that this identifier refers to.
bool | pluginNeedsRescanning (const PluginDescription &) override
| Returns true if this plugin's version or date has changed and it should be re-checked.
StringArray | searchPathsForPlugins (const FileSearchPath &, bool recursive, bool) override
| Searches a suggested set of directories for any plugins in this format.
bool | doesPluginStillExist (const PluginDescription &) override
| Checks whether this plugin could possibly be loaded.
FileSearchPath | getDefaultLocationsToSearch () override
| Returns the typical places to look for this kind of plugin.
Public Member Functions inherited from juce::AudioPluginFormat
| ~AudioPluginFormat () override
| Destructor.
std::unique_ptr< AudioPluginInstance > | createInstanceFromDescription (const PluginDescription &, double initialSampleRate, int initialBufferSize)
| Tries to recreate a type from a previously generated PluginDescription.
std::unique_ptr< AudioPluginInstance > | createInstanceFromDescription (const PluginDescription &, double initialSampleRate, int initialBufferSize, String &errorMessage)
| Same as above but with the possibility of returning an error message.
void | createPluginInstanceAsync (const PluginDescription &description, double initialSampleRate, int initialBufferSize, PluginCreationCallback)
| Tries to recreate a type from a previously generated PluginDescription.
virtual void | createARAFactoryAsync (const PluginDescription &, ARAFactoryCreationCallback callback)
| Tries to create an ::ARAFactoryWrapper for this description.
Static Public Member Functions inherited from juce::LADSPAPluginFormatHeadless
static String | getFormatName ()
Protected Member Functions inherited from juce::AudioPluginFormat
| AudioPluginFormat ()

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited